MappedAttribute (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source.annotations.attribute
Class MappedAttribute

    java.lang.Object
      org.hibernate.metamodel.source.annotations.attribute.MappedAttribute

All Implemented Interfaces:
  Comparable<MappedAttribute>

Direct Known Subclasses:
  AssociationAttribute, BasicAttribute

    public abstract class MappedAttribute

extends Object
implements Comparable<MappedAttribute>

Base class for the different types of mapped attributes

Method Summary
`Map<org.jboss.jandex.DotName,List<org.jboss.jandex.AnnotationInstance>>` | `annotations()`
`int` | `compareTo(MappedAttribute mappedProperty)`
`String` | `getAccessType()`
`Class<?>` | `getAttributeType()`
`ColumnValues` | `getColumnValues()`
`EntityBindingContext` | `getContext()`
`abstract AttributeTypeResolver` | `getHibernateTypeResolver()`
`String` | `getName()`
`abstract PropertyGeneration` | `getPropertyGeneration()`
`boolean` | `isId()`
`abstract boolean` | `isInsertable()`
`abstract boolean` | `isLazy()`
`boolean` | `isOptimisticLockable()`
`abstract boolean` | `isOptional()`
`abstract boolean` | `isUpdatable()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public String getName()

### getAttributeType

    public final Class<?> getAttributeType()

### getAccessType

    public String getAccessType()

### getContext

    public EntityBindingContext getContext()

### annotations

    public Map<org.jboss.jandex.DotName,List<org.jboss.jandex.AnnotationInstance>> annotations()

### getColumnValues

    public ColumnValues getColumnValues()

### isId

    public boolean isId()

### isOptimisticLockable

    public boolean isOptimisticLockable()

### compareTo

    public int compareTo(MappedAttribute mappedProperty)

  Specified by:
    `compareTo` in interface `Comparable<MappedAttribute>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getHibernateTypeResolver

    public abstract AttributeTypeResolver getHibernateTypeResolver()

### isLazy

    public abstract boolean isLazy()

### isOptional

    public abstract boolean isOptional()

### isInsertable

    public abstract boolean isInsertable()

### isUpdatable

    public abstract boolean isUpdatable()

### getPropertyGeneration

    public abstract PropertyGeneration getPropertyGeneration()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.